Don't be bored, do something!

Ubuntu 14.04: installare Silverlight

Purtroppo sappiamo che il progetto Mono, progetto open source che si occupava di rendere compatibile Silverlight su macchine Linux, è stato abbandonato da qualche tempo.
Ancora alcuni siti italiani e non utilizzano Silverlight, quindi cercheremo di installarlo su una Ubuntu 14.04 (al momento uso una 14.04 con Gnome).
Useremo la pagina www.microsoft.com/silverlight/iis-smooth-streaming/demo per verificare il corretto funzionamento.
Apriamo un terminale e installiamo i pacchetti necessari:

sudo apt-add-repository ppa:pipelight/stable
sudo apt-get update
sudo apt-get install pipelight-multi

Successivamente bisogna attivare il plugin con il comando:

sudo pipelight-plugin --enable silverlight
sudo pipelight-plugin --enable widevine

Per ulteriori informazioni su widevine, visitate il sito https://tools.google.com/dlpage/widevine

A questo punto aprire Firefox e digitate l’indirizzo precedente, usato per testare il plugin:
www.microsoft.com/silverlight/iis-smooth-streaming/demo

Se tutto è stato installato correttamente, vedremo partire il video demo e potremo navigare l’intera sezione.
Il plugin è stato testato e risulta funzionante con Firefox 29.0 su Ubuntu 14.04 64 bit
Ubuntu

Tagged under: , , , , , , , ,

18 Comments

  1. bibbo80 Reply

    se avete problemi nel premere OK per accettare la licenza premereil tasto TAB per selezionare ok e dare invio, altrimenti premere tutti i tasti sull ultima colonna si sinistra finche’ non ve lo seleziona 😉

  2. Giuseppe Reply

    ciao a tutti, ho seguito la guida ma al momento di aprire il link mi dice ancora di installare silver e non mi apre nulla…

    1. Alfredo Parisi Reply

      Ciao, il plugin è stato testato con Firefox 29.0 su Ubuntu 14.04 – 64 bit
      Può darsi che non sia più valido, vista la nuova versione aggiornata di Firefox

  3. gipilui Reply

    grazie, lo avevo installato su LUBUNTU 14.04 e funzionava, confermo però che adesso su VIVID non va più. Dato che non sono un esperto smanettone di Linux sapresti gentilmente suggerire come disinstallare il tutto ? Ho già disabilitato widewine e silverlight. Grazie

    1. Alfredo Parisi Reply

      Salve, per disinstallare il pacchetto basta aprire il terminale e dare
      sudo apt-get remove pipelight-multi

  4. gipilui Reply

    Ti ringrazio, saluti.
    p.s. ho riprovato in altri modi seguendo vari articoli sul web, ma l’installazione di pipelight non riesce proprio in questa versione di Linux. Nel caso ci fossero novità ti ringrazio anticipatamente per un eventuale aggiornamento.

  5. Carlo Barone Reply

    1) aprite il terminale e scrivete questi comandi sudo apt-get remove pipelight (nel caso sia gia installato)
    2)sudo apt-add-repository ppa:pipelight/stable
    3)sudo apt-get update
    4)sudo apt-get install pipelight
    5)sudo pipelight-plugin –enable silverlight
    6)sudo update-alternatives –install “/usr/lib/mozilla/plugins/flashplugin-alternative.so” “mozilla-flashplugin” /usr/lib/pipelight/libpipelight-flash.so 1
    7)sudo update-alternatives –set mozilla-flashplugin /usr/lib/pipelight/libpipelight-flash.so

  6. Flavia Reply

    scusa non riesco ad eseguire i punti 6) e 7) mi da update-alternatives: errore: argomento “–set” sconosciuto
    e poi non so come fare per accettare la licenza
    [*] wininet.dll [OPTIONAL]
    This wininet.dll library is a debug version provided for the Microsoft
    Internet Explorer. By continuing the installation you agree that you’ve
    read and accepted the license terms.
    You can find them in /usr/share/pipelight/licenses/license-wininet.txt

    To find out more click here:
    http://www.microsoft.com/en-us/download/details.aspx?id=11434

    To agree to this license run (for each user who wants to use this module):
    touch $HOME/.config/wine-wininet-installer.accept-license

    scusatemi sono nuova recluta ubuntu 😀

  7. Flavia Reply

    quando eseguo il punto 7)
    $ sudo update-alternatives –set mozilla-flashplugin /usr/lib/pipelight/libpipelight-flash.so
    update-alternatives: errore: alternativa /usr/lib/pipelight/libpipelight-flash.so per mozilla-flashplugin non registrata, non viene impostata

    1. Alfredo Parisi Reply

      5) sudo pipelight-plugin –enable silverlight
      (sarebbe meno meno enable)

      6) sudo update-alternatives –install ‘/usr/lib/mozilla/plugins/flashplugin-alternative.so’ ‘mozilla-flashplugin’ ‘/usr/lib/pipelight/libpipelight-flash.so’ 1
      (sarebbe meno meno install)

      7) sudo update-alternatives –set mozilla-flashplugin /usr/lib/pipelight/libpipelight-flash.so
      (sarebbe meno meno set)

  8. david Reply

    Anche io non riesco ad eseguire i punti 6 e 7. Questa la risposta al punto 6: update-alternatives: errore: il collegamento alternativo non è assoluto: “/usr/lib/mozilla/plugins/flashplugin-alternative.so”
    Come posso risolvere?
    Grazie

    1. Alfredo Parisi Reply

      5) sudo pipelight-plugin –enable silverlight
      (sarebbe meno meno enable)

      6) sudo update-alternatives –install ‘/usr/lib/mozilla/plugins/flashplugin-alternative.so’ ‘mozilla-flashplugin’ ‘/usr/lib/pipelight/libpipelight-flash.so’ 1
      (sarebbe meno meno install)

      7) sudo update-alternatives –set mozilla-flashplugin /usr/lib/pipelight/libpipelight-flash.so
      (sarebbe meno meno set)

    1. Alfredo Parisi Reply

      5) sudo pipelight-plugin –enable silverlight
      (sarebbe meno meno enable)

      6) sudo update-alternatives –install ‘/usr/lib/mozilla/plugins/flashplugin-alternative.so’ ‘mozilla-flashplugin’ ‘/usr/lib/pipelight/libpipelight-flash.so’ 1
      (sarebbe meno meno install)

      7) sudo update-alternatives –set mozilla-flashplugin /usr/lib/pipelight/libpipelight-flash.so
      (sarebbe meno meno set)

Rispondi

Back to top